/* CSS Variables */ 
:root {
  --bg-color: #000;
  --text-color: white;
  --shadow: 0 4px 16px rgba(0, 0, 0, 0.6);
  --shadow-button: 0 2px 8px rgba(0, 0, 0, 0.6);
  --font-family: Arial, sans-serif;
}

/* Global Reset */
html, body {
  height: 100dvh;
  width: 100vw;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #000;
}

/* Map container */
#map {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

/* Top-Left Logo */
.logo {
  position: absolute;
  top: 15px;
  left: 15px;
  z-index: 1000;
  max-width: 20vw;
  max-height: 120px;
  width: auto;
  height: auto;
  cursor: pointer;
  transition: transform 0.2s ease;
}

.logo:hover {
    transform: scale(1.05);
}

/* Bottom-Right Copyright Image */
.copyright {
  position: absolute;
  bottom: 15px;
  right: 15px;
  z-index: 1000;
  max-width: 20vw;
  max-height: 30px;
  width: auto;
  height: auto;
  cursor: pointer;
  transition: transform 0.2s ease;
}

.copyright:hover {
  transform: scale(1.05);
}
